### Virtual Method

# Gio MountOperation ask_password

#### Declaration

    void
    ask_password (
      GMountOperation* op,
      const char* message,
      const char* default_user,
      const char* default_domain,
      GAskPasswordFlags flags
    )

#### Description

No description available.

#### Parameters

`message`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`default_user`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`default_domain`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GAskPasswordFlags`

  No description available.